Bug 1751215 - Unable to change Graphical Console of HE VM.
Summary: Unable to change Graphical Console of HE VM.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.4.0
: ---
Assignee: Asaf Rachmani
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On:
Blocks: 1808038
TreeView+ depends on / blocked
 
Reported: 2019-09-11 12:38 UTC by Ameya Charekar
Modified: 2020-08-04 13:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, after upgrading to RHV version 4.1 to 4.3, the Graphical Console for the self-hosted engine virtual machine was locked because the default display in version 4.1 is VGA. The current release fixes this issue. While upgrading to version 4.3, it changes the default display to VNC. As a result, the Graphical Console for the Hosted-Engine virtual machine is changeable.
Clone Of:
: 1808038 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:20:31 UTC
oVirt Team: Integration
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4409491 0 None None None 2019-09-11 13:39:56 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:21:03 UTC
oVirt gerrit 106835 0 master MERGED dbscripts: upgrade: Change the default dsiplay type of HostedEngine vm to QXL 2020-11-04 13:33:23 UTC
oVirt gerrit 107237 0 ovirt-engine-4.3 MERGED dbscripts: upgrade: Change the default dsiplay type of HostedEngine vm to QXL 2020-11-04 13:33:23 UTC

Description Ameya Charekar 2019-09-11 12:38:01 UTC
Description of problem:
After upgrading RHV environment, unable to change Graphical Console of HE VM which fails with message:-
~~~
Error while executing action:

HostedEngine:
There was an attempt to change Hosted Engine VM values that are locked.
~~~

In new HE deployment there is no lock for changing Graphical Console. 

Version-Release number of selected component (if applicable):
ovirt-engine-4.3.5.5-0.1.el7.noarch
ovirt-hosted-engine-setup-2.3.11-1.el7ev.noarch
ovirt-ansible-hosted-engine-setup-1.0.26-1.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Deploy 4.1 HE environment.
2. Upgrade this environment to latest version
3. Change "Graphical Console" by editing HE VM

Actual results:
There was an attempt to change Hosted Engine VM values that are locked.

Expected results:
Should be able to change "Graphical Console" as in new deployment of HE environments of version 4.2 or 4.3 we do not have such lock.

Additional info:

Comment 3 Sandro Bonazzola 2019-10-30 08:11:55 UTC
Let's try to fix this on engine-setup and warn engine vm needs restart

Comment 7 Asaf Rachmani 2020-03-22 13:49:33 UTC
Successfully tested on upstream, upgraded 4.1->4.2->4.3, on 4.3 the issue was fixed.

Comment 8 Nikolai Sednev 2020-03-23 12:45:00 UTC
As it was agreed, moving to verified forth to https://bugzilla.redhat.com/show_bug.cgi?id=1751215#c7.

Comment 15 errata-xmlrpc 2020-08-04 13:20:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.